.\" @(#)smedit.man 1.8 Software Membership 2/11/96
.TH smedit 1N "2/11/96" "Software Membership"
.SH NAME
SM/Editor \- Software Membership Text Editor for OSF/Motif
.SH SYNOPSYS
.B smedit [+line] [\-/+insert] [\-/+indent ] [\-/+tab]
  [\-/+undo] [\-/+showmatch] [\-tabs \fIn\fP] [\-bi \fIn\fP] [\fPfilename\fI]
.SH DESCRIPTION
SM/Editor is an GUI style editor for plain text files.  It provides mouse based
editing and a streamlined editing style, based on popular Macintosh and MS
Windows editors, for users of X workstations and X terminals.
.PP
.TP 8
Supported environments:
 Sun - SunOS 4.1.x
 HP - HP-UX 9.0x
 IBM - AIX 3.x AIX 4.x
 NetBSD
 Linux
.PP
For more information see SM/Editor's on-line help, or README in the
SM/Editor distribution kit.
.SH OPTIONS
.TP 16
+\fIline\fP
Specifies the \fIline\fP to be initially located.
.TP 16
-/+insert
insert mode on/off
.TP 16
-/+indent
indent mode on/off
.TP 16
-/+tab
tab mode on/off
.TP 16
-/+undo
undo after save on/off
.TP 16
-/+showmatch
show matching on/off
.TP 16
-tabs \fIn\fP
-ts \fIn\fP
Specifies the tab size.
.TP 16
-bi \fIn\fP
Specifies the block indent size.
.TP 16
-/+backup
Specifies whether or not \fIsmedit\fP should create backup file.
.TP 16
-/+rw
Specifies whether or not \fIsmedit\fP should remove whitespace,
when a file save.
.TP 16
filename
Specifies the file to be initially loaded into the program.
If the file does not exist, \fIsmedit\fP will assume it is a new file.
.SH COMMAND
.PP
.nf
.B Command		Descriptopn
.sp
F1		Help
F2		File|Save
F3		File|Open
F4		Search|Go to line...
F10		Go to menubar
Alt-N		File|New
Alt-R		Option|Refresh
Alt-W		File|Save As...
Alt-D		Deletes a line
Left		Moves the cursor left one column
.br
Right		Moves the cursor right one column
Up		Moves the cursor up one line
Down		Moves the cursor down one line
Home		Moves to the start of a line
End		Moves to the end of a line
PgUp		Page Up
PgDn		Page Down
Tab		Inserts a tab
BackSpace	Deletes the left character of cursor
Delete		Deletes the right character of cursor
.br
Ctrl-Left	Moves one word left
Ctrl-Right	Moves one word right
Ctrl-Home	Moves to the start of a file
Ctrl-End	Moves to the end of a file
Ctrl-PgUp	Moves to the top of the text window
Ctrl-PgDn	Moves to the bottom of the text window
Ctrl-J		Deletes a word to the left of cursor
Ctrl-W		Scroll up one line
Ctrl-Z		Scroll down one line
Ctrl-F		Page Up
Ctrl-B		Page Down
Ctrl-T		Deletes a word to the right cursor
Ctrl-N		Inserts a new line
Ctrl-Y		Deletes a line
Ctrl-E		Deletes to end of the line
Ctrl-D		Undo last edits
Ctrl-U		Undo all edits
Ctrl-C		Copy the selection to the clipboard
Ctrl-X		Copy the selection to the clipboard and
remove the selected text
Ctrl-V			Paste the selection from the clipboard
Ctrl-/			Edit|Select All...
Ctrl-\			Edit|Unselect...
Ctrl-G			Show current file information
Ctrl-S			Search|Find
Ctrl-R			Search|Replace
Ctrl-L			Search|Search again...
Ctrl-;			Replace the selected pattern
Ctrl->			Block indent
Ctrl-<			Block unindent
.br
Ctrl-Q S		Moves to the start of a line
Ctrl-Q D		Moves to the end of a line
Ctrl-Q E		Moves to the top of the text window
Ctrl-Q X		Moves to the bottom of the text window
Ctrl-Q M		Moves to the mid of the text window
Ctrl-Q R		Moves to the start of a file
Ctrl-Q C		Moves to the end of a file
Ctrl-Q P		Moves last cursor position
Ctrl-Q Y		Delete to end of the line
Ctrl-Q F		Search|Find
Ctrl-Q A		Search|Replace
Ctrl-Q [		pair matching
Ctrl-Q ]		pair matching
Ctrl-Q [0..9]		Go to place marker [0..9]
.br
Ctrl-K [0..9]		Set place marker [0..9]
Ctrl-K B		Mark block begin
Ctrl-K K		Mark block end
Ctrl-K I		Block indent
Ctrl-K U		Block unindent
Ctrl-K H		Unselect the selected text
Ctrl-K Y		Delete a selected text
Ctrl-K S		Save the current file
Ctrl-K P		Uppercase the selected text
Ctrl-K L		Lowercase the selected text
.br
Ctrl-O O		Option|Environment...|Insert mode
Ctrl-O I		Option|Environment...|Indent mode
Ctrl-O T		Option|Environment...|Use tab character
Ctrl-O U		Option|Environment...|Undo after save
Ctrl-O B		Option|Environment...|Create backup file
.br
Shift-Left		Selects Block
Shift-Right		Selects Block
Shift-Up		Selects Block
Shift-Down		Selects Block
.br
Alt-BackSpace		File|Undo
Shift-Backspace		File|Redo
Ctrl-Insert		Edit|Copy
Shift-Delete		Edit|Cut
Shift-Insert		Edit|Paste
.br
Again(L2)               Redo last edits
Undo(L4)		Undo last edits
Copy(L6)		Copy the selection to the clipboard
Paste(L8)		Paste the selection from the clipboard
Cut(L10)		copy the selection to the clipboard and
			remove the selected text
.PP
.B EDITOR MENU
.nf
.B Command		Descriptopn
.sp
File|New		New file
File|Save		Save the current file
File|List...		List filename of the past
File|Open		Open file
File|Save As...		Save a new filename
File|Quit		Quit
.br
Edit|Undo		Undo last edits
Edit|Redo		Redo
Edit|Cut		Copy the selection to the clipboard and
.br			remove the selected text
Edit|Copy		Copy block
Edit|Paste		Paste the selection from the clipboard
Edit|Delete...		Delete the selected text
Edit|Select All...	Select all file
Edit|Unselect...	Unselect the selected text
.br
Search|Find		Display Dialog box to search pattern
Search|Replace		Display Dialog box to search pattern
and to replace pattern
Search|Go to line...	moves the cursor to the line number
.br
Option|Environment...|Insert mode	Toggle Insert mode
Option|Environment...|Indent mode	Toggle Indnet mode
Option|Environment...|Use tab character	Toggle tab mode
Option|Environment...|Undo after save	Toggle undo after save
Option|Environment...|Show Matching	Show matching bracket if one is inserted
Option|Environment...|Pending delete	Toggle pending delete
Option|Environment...|Tab size		Set Tab size
Option|Environment...|Block indent	Set block indent size
Option|Preference...|Create backup file	Toggle create backup file
Option|Preference...|Remove Whitespace	Toggle remove whitespace when the file save
Option|Save setting...		Save the editor environment
Option|Refresh			Refresh window
.PP
.TP 2
\- A word is defined as a sequence of characters separated by
one of the following; space tab ( ) , ; . < > [ ] ^ ' * + \- / $ # _ = | ~
? " % & : @ \ { }
.PP
\- pair matching : ( ), [ ], { }, < >, /* */
.PP
\- editor start-up file : ~/.smeditrc
.SH SEE ALSO
X, mwm, vi, emacs

